import { createRouter, createWebHistory } from "vue-router";
import GenShortLink from "@/views/GenShortLink.vue";
import AccessRecords from "@/views/AccessRecords.vue";
import Login from "@/views/Login.vue";

const router = createRouter({
  history: createWebHistory(import.meta.env.BASE_URL),
  routes: [
    {
      path: "/",
      name: "ShortLinkList",
      component: GenShortLink,
    },
    {
      path: "/log-list/:suffix",
      name: "AccessRecords",
      component: AccessRecords,
    },
    {
      path: "/login",
      name: "Login",
      component: Login,
    },
  ],
});

export default router;
