import { createApp } from "vue";
import App from "./App.vue";
import store from "./store";
import router from "./router";
import "element-plus/dist/index.css";
import "./assets/main.css";
import "modern-normalize/modern-normalize.css";
import "./permission"; // permission control
// import "@/assets/iconfont/iconfont.js";
import "@/assets/iconfont/iconfont.css";
// @ts-ignore
// import zhCn from "element-plus/dist/locale/zh-cn.mjs";
//
// import * as ElementPlusIconsVue from "@element-plus/icons-vue";

const app = createApp(App);

app.use(store);
app.use(router);
// app.use(ElementPlus, {
//   locale: zhCn,
// });
// for (const [key, component] of Object.entries(ElementPlusIconsVue)) {
//   app.component(key, component);
// }
app.mount("#app");
